# Generated by Django 5.0.3 on 2024-05-03 13:19

import django.db.models.deletion
from django.db import (
    migrations,
    models,
)


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('lib_authors', '0003_auto_20190327_1140'),
        ('lib_publishings', '0005_delete_duplicates'),
        ('parallels', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='FederalBook',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Дата создания')),
                ('modified', models.DateTimeField(auto_now=True, null=True, verbose_name='Дата изменения')),
                ('name', models.CharField(db_index=True, max_length=256, verbose_name='Наименование')),
                ('pub_lang', models.CharField(max_length=100, verbose_name='Язык издания')),
                ('status', models.BooleanField(default=True, verbose_name='Статус')),
                ('code', models.CharField(blank=True, max_length=50, null=True, verbose_name='Код')),
                ('validity_period', models.DateField(blank=True, null=True, verbose_name='Срок действия')),
                ('training_manuals', models.CharField(blank=True, max_length=400, null=True, verbose_name='Учебные пособия')),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='lib_authors.libraryauthors', verbose_name='Автор(ы)')),
                ('publishing', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='lib_publishings.librarypublishings', verbose_name='Издательство')),
            ],
            options={
                'verbose_name': 'Учебник федерального перечня',
                'verbose_name_plural': 'Учебники федерального перечня',
                'db_table': 'federal_books',
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='FederalBooksParallel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Дата создания')),
                ('modified', models.DateTimeField(auto_now=True, null=True, verbose_name='Дата изменения')),
                ('federal_book', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='federal_books.federalbook', verbose_name='Учебник федерального перечня')),
                ('parallel', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='parallels.parallel', verbose_name='Параллели')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='federalbook',
            name='parallel',
            field=models.ManyToManyField(through='federal_books.FederalBooksParallel', to='parallels.parallel', verbose_name='Параллели'),
        ),
    ]
